# snes9x is freeware, it must be submitted to nonfree

Summary:        Super NES emulator
Name:           snes9x
Version:        1.54.1
Release:        %mkrel 1
Group:          Emulators
License:        Freeware and LGPLv2
URL:            https://github.com/snes9xgit/snes9x
Source0:        https://github.com/snes9xgit/snes9x/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  nasm
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(zlib)

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

%package -n     %{name}-gtk
Summary:        Graphical User Interface for snes9x
Group:          Emulators

%description -n %{name}-gtk
This package adds a GTK graphical user interface to snes9x.

%prep
%setup -q

%build
pushd gtk
./autogen.sh
%configure2_5x \
    --without-oss \
    --with-netplay
%make_build
popd

# Second, build the CLI version
pushd unix
%configure2_5x \
    --enable-netplay
%make_build
popd

%install
%make_install -C gtk

mkdir -p %{buildroot}%{_bindir}
install -m 755 unix/snes9x %{buildroot}%{_bindir}

%find_lang snes9x-gtk

%files
%doc docs/*
%doc unix/docs/readme_unix.html
%license docs/snes9x-license.txt
%{_bindir}/%{name}

%files -n %{name}-gtk -f snes9x-gtk.lang
%doc docs/*
%doc gtk/doc/README
%license docs/snes9x-license.txt
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Nov 12 2016 akien <akien> 1.54.1-1.mga6
+ Revision: 1066905
- Version 1.54.1

* Mon Aug 08 2016 akien <akien> 1.53-10.mga6.nonfree
+ Revision: 1044987
- Reorder the BRs alphabetically, use pkgconfig
- Use new RPM macros
- Drop old obsoletes and provides
- Fix URL
- Mention that part of the code is dual-licensed under LGPLv2

* Sat Oct 25 2014 akien <akien> 1.53-9.mga5.nonfree
+ Revision: 793356
- License is freeware, rebuild in nonfree

* Wed Oct 15 2014 umeabot <umeabot> 1.53-8.mga5
+ Revision: 748590
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.53-7.mga5
+ Revision: 689227
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.53-6.mga4
+ Revision: 527515
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 1.53-5.mga4
+ Revision: 440498
- bump rel
- cleanup br

* Tue Jun 04 2013 fwang <fwang> 1.53-4.mga4
+ Revision: 436985
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.53-3.mga3
+ Revision: 382259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 12 2011 zezinho <zezinho> 1.53-2.mga2
+ Revision: 166991
- split gtk gui package

* Fri Nov 11 2011 zezinho <zezinho> 1.53-1.mga2
+ Revision: 166707
- new version

  + dmorgan <dmorgan>
    - Fix buildrequires
    - imported package snes9x

